package com.zd.exam.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 奖励分设置对象 el_score_rewardconfig
 * 
 * @author zd
 * @date 2021-12-14
 */
@ApiModel("奖励分设置")
public class ElScoreRewardconfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 一个月无违规记录奖励分值 */
    @Excel(name = "一个月无违规记录奖励分值")
    @ApiModelProperty(value = "一个月无违规记录奖励分值")
    private Long monthNoviolationScore;
    /** 模拟练习每题获得奖励分值 */
    @Excel(name = "模拟练习每题获得奖励分值")
    @ApiModelProperty(value = "模拟练习每题获得奖励分值")
    private Long exerciseScore;
    /** 每次签到考勤获得奖励分值 */
    @Excel(name = "每次签到考勤获得奖励分值")
    @ApiModelProperty(value = "每次签到考勤获得奖励分值")
    private Long signGetScore;

    @Excel(name = "离开考勤获得奖励分值")
    @ApiModelProperty(value = "离开考勤获得奖励分值")
    private Long leaveGetScore;

    /**
     * 模拟考试
     */
    private Long mockExam;

    /**
     * 学习时长
     */
    private Long studyLen;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setMonthNoviolationScore(Long monthNoviolationScore) 
    {
        this.monthNoviolationScore = monthNoviolationScore;
    }

    public Long getMonthNoviolationScore() 
    {
        return monthNoviolationScore;
    }
    public void setExerciseScore(Long exerciseScore) 
    {
        this.exerciseScore = exerciseScore;
    }

    public Long getExerciseScore() 
    {
        return exerciseScore;
    }
    public void setSignGetScore(Long signGetScore) 
    {
        this.signGetScore = signGetScore;
    }

    public Long getSignGetScore() 
    {
        return signGetScore;
    }

    public Long getMockExam() {
        return mockExam;
    }

    public void setMockExam(Long mockExam) {
        this.mockExam = mockExam;
    }

    public Long getStudyLen() {
        return studyLen;
    }

    public void setStudyLen(Long studyLen) {
        this.studyLen = studyLen;
    }

    public Long getLeaveGetScore() {
        return leaveGetScore;
    }

    public void setLeaveGetScore(Long leaveGetScore) {
        this.leaveGetScore = leaveGetScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("monthNoviolationScore", getMonthNoviolationScore())
            .append("exerciseScore", getExerciseScore())
            .append("signGetScore", getSignGetScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
